/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectAsResponse } from "../definitions/ObjectAsResponse";
import { AccountAsResponse } from "../definitions/AccountAsResponse";
export declare type CommitterAsResponse = ObjectAsResponse & {
    /**
     * The raw committer value from the repository. This may be the only value available if the committer does not match a user in Bitbucket.
     */
    raw?: string;
    user?: AccountAsResponse;
    [x: string]: any;
};
//# sourceMappingURL=CommitterAsResponse.d.ts.map