/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DeploymentStateAsResponse } from "../definitions/DeploymentStateAsResponse";
import { AccountAsResponse } from "../definitions/AccountAsResponse";
import { DeploymentStateCompletedStatusAsResponse } from "../definitions/DeploymentStateCompletedStatusAsResponse";
import { DeploymentAsResponse } from "../definitions/DeploymentAsResponse";
export declare type DeploymentStateCompletedAsResponse = DeploymentStateAsResponse & {
    /**
     * The name of deployment state (COMPLETED).
     */
    name?: "COMPLETED";
    /**
     * Link to the deployment result.
     */
    url?: string;
    deployer?: AccountAsResponse;
    status?: DeploymentStateCompletedStatusAsResponse;
    /**
     * The timestamp when the deployment was started.
     */
    started_on?: string;
    /**
     * The timestamp when the deployment completed.
     */
    completed_on?: string;
    last_successful_deployment?: DeploymentAsResponse;
    [x: string]: any;
};
//# sourceMappingURL=DeploymentStateCompletedAsResponse.d.ts.map