/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DeploymentStateAsResponse } from "../definitions/DeploymentStateAsResponse";
import { AccountAsResponse } from "../definitions/AccountAsResponse";
export declare type DeploymentStateInProgressAsResponse = DeploymentStateAsResponse & {
    /**
     * The name of deployment state (IN_PROGRESS).
     */
    name?: "IN_PROGRESS";
    /**
     * Link to the deployment result.
     */
    url?: string;
    deployer?: AccountAsResponse;
    /**
     * The timestamp when the deployment was started.
     */
    start_date?: string;
    [x: string]: any;
};
//# sourceMappingURL=DeploymentStateInProgressAsResponse.d.ts.map