/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DeploymentStateAsResponse } from "../definitions/DeploymentStateAsResponse";
export declare type DeploymentStateUndeployedAsResponse = DeploymentStateAsResponse & {
    /**
     * The name of deployment state (UNDEPLOYED).
     */
    name?: "UNDEPLOYED";
    /**
     * Link to trigger the deployment.
     */
    trigger_url?: string;
    [x: string]: any;
};
//# sourceMappingURL=DeploymentStateUndeployedAsResponse.d.ts.map