/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PipelineTargetAsResponse } from "../definitions/PipelineTargetAsResponse";
import { CommitAsResponse } from "../definitions/CommitAsResponse";
import { PipelineSelectorAsResponse } from "../definitions/PipelineSelectorAsResponse";
export declare type PipelineRefTargetAsResponse = PipelineTargetAsResponse & {
    /**
     * The type of reference (branch/tag).
     */
    ref_type?: "branch" | "tag" | "named_branch" | "bookmark";
    /**
     * The name of the reference.
     */
    ref_name?: string;
    commit?: CommitAsResponse;
    selector?: PipelineSelectorAsResponse;
    [x: string]: any;
};
//# sourceMappingURL=PipelineRefTargetAsResponse.d.ts.map