/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectAsResponse } from "../definitions/ObjectAsResponse";
export declare type PipelineSelectorAsResponse = ObjectAsResponse & {
    /**
     * The type of selector.
     */
    type?: "branches" | "tags" | "bookmarks" | "default" | "custom";
    /**
     * The name of the matching pipeline definition.
     */
    pattern?: string;
    [x: string]: any;
};
//# sourceMappingURL=PipelineSelectorAsResponse.d.ts.map