/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectAsResponse } from "../definitions/ObjectAsResponse";
import { AccountAsResponse } from "../definitions/AccountAsResponse";
import { WorkspaceAsResponse } from "../definitions/WorkspaceAsResponse";
export declare type WorkspaceMembershipAsResponse = ObjectAsResponse & {
    links?: {
        /**
         * A link to a resource related to this object.
         */
        self?: {
            href?: string;
            name?: string;
        };
    };
    user?: AccountAsResponse;
    workspace?: WorkspaceAsResponse;
    permission?: string;
    last_accessed?: string;
    added_on?: string;
    [x: string]: any;
};
//# sourceMappingURL=WorkspaceMembershipAsResponse.d.ts.map