/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Object } from "../definitions/Object";
import { Account } from "../definitions/Account";
export declare type Committer = Object & {
    /**
     * The raw committer value from the repository. This may be the only value available if the committer does not match a user in Bitbucket.
     */
    raw?: string;
    user?: Account;
    [x: string]: any;
};
//# sourceMappingURL=Committer.d.ts.map