/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface DeploymentEnvironment {
    /**
     * The UUID identifying the environment.
     */
    uuid?: string;
    /**
     * The name of the environment.
     */
    name?: string;
    category?: {
        name?: string;
    };
    restrictions?: {
        admin_only?: boolean;
        type?: string;
    };
    environment_lock_enabled?: boolean;
    lock?: {
        name?: string;
        type?: string;
    };
    deployment_gate_enabled?: boolean;
    rank?: number;
    hidden?: boolean;
    slug?: string;
    environment_type?: {
        name?: string;
        type?: string;
        rank?: number;
    };
    type?: string;
    [x: string]: any;
}
//# sourceMappingURL=DeploymentEnvironment.d.ts.map