/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ErrorAsResponse {
    type: string;
    error?: {
        message: string;
        detail?: string;
        /**
         * Optional structured data that is endpoint-specific.
         */
        data?: {
            [x: string]: any;
        };
    };
    [x: string]: any;
}
//# sourceMappingURL=ErrorAsResponse.d.ts.map