/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface PipelineImageAsResponse {
    /**
     * The name of the image. If the image is hosted on DockerHub the short name can be used, otherwise the fully qualified name is required here.
     */
    name?: string;
    /**
     * The username needed to authenticate with the Docker registry. Only required when using a private Docker image.
     */
    username?: string;
    /**
     * The password needed to authenticate with the Docker registry. Only required when using a private Docker image.
     */
    password?: string;
    /**
     * The email needed to authenticate with the Docker registry. Only required when using a private Docker image.
     */
    email?: string;
}
//# sourceMappingURL=PipelineImageAsResponse.d.ts.map