/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Object } from "../definitions/Object";
export declare type PipelineSelector = Object & {
    /**
     * The type of selector.
     */
    type?: "branches" | "tags" | "bookmarks" | "default" | "custom";
    /**
     * The name of the matching pipeline definition.
     */
    pattern?: string;
    [x: string]: any;
};
//# sourceMappingURL=PipelineSelector.d.ts.map